== Version 1.7.10

- Fixed an issue where the bloom of Crystal Bomb Detonators is rendered at high res while in Motion Smoothing's Fancy mode

== Version 1.7.9

- Fixed a crash when collecting Flag Touch Switches on latest Everest versions

== Version 1.7.8

- Updated Blairiam and maddie480's nicknames

== Version 1.7.7

- Patched Upside-Down Jump Throughs to ensure Everest Core compatibility 

== Version 1.7.6

- Fixed a Madeline Silhouette Trigger-related crash on the yet-to-be-released .NET 7 Everest port

== Version 1.7.5

- The Spring Collab DLL is now built in "Release" mode rather than "Debug", in order to optimize it slightly more
- Removed some player playback sprites that also ship with max480's Helping Hand (which is a dependency) to avoid unnecessary warnings in the logs
- Fixed a warning in the logs about a decal registry attribute on "Gym-Sign"

== Version 1.7.4

- Updated Isa's Grab Bag dependency to 1.6.2 in order to fix an issue with the Super Dashing variant not disabling properly in the Advanced Heart Side

== Version 1.7.3

- Seekers now bump properly on Sideways Jumpthrus like they do on walls, instead of getting stuck on them and sliding/vibrating

== Version 1.7.2

- Removed Chinese translation, both versions of it will be made available separately

== Version 1.7.1

- Second version of the Chinese translation:
  - Translating and tweaking by iceCream
  - Technical support, advice and tweaking by WEGFan
  - Testing by Pachimarain, anan, Create, Luv_Cocoa, Paradox_bones, 键盘英雄258 and sssxxxx

== Version 1.7.0

- Added Chinese translation (translation by AAA1459, proofreading by Vocalise)
- Added max480's Helping Hand as a dependency, as it is used in the collab (mostly for camera)
- Advanced Heart Side: removed a hanging lamp from Colored Lights (which is not a dependency)
- Fixed _sleepie's spriting credits in the museum that used the decoration credits by accident

== Version 1.6.4

- Update Collab Utils lazy loading configuration to work with Collab Utils 1.6.14

== Version 1.6.3

- Fixed clouds being rendered incorrectly in CANADIAN's Grandmaster map if the player also has Sardine7 installed
- Randomizer updates:
  - (Beginner) Heart Side - removed impossible reverse route
  - (Intermediate) Stratcour Summit - removed OOB spawn that caused a randomizer spawn bug
  - (Advanced) Nice Doppelgänger - fixed room transition softlock
  - (Expert) Olden Tower Ruins - renamed touch switch flags to avoid conflicts in randomizer
- Changed Chloe's name to snowii
- Expert Lobby: reverted the ice walls back to their icy state

== Version 1.6.2 (No change in yaml, will be included in 1.6.3 instead)

- Added the Ahorn plugins for SC in the SC download itself, for easier access
- Moved a trigger down by 1px in the Beginner lobby to line up with the ground

== Version 1.6.2

- Properly fixed the randomizer config
- Changed TAS in prologue to TASers

== Version 1.6.1

- Failed hotfix attempt for the randomizer, hopefully properly resolved in 1.6.2

== Version 1.6.0

- Added support for lazy loading - this should significantly help out with startup times on lower end hardware
- Implemented some old subdifficulty changes that got voted for but missed, those being Theo Hell from Yellow to Red and Toxic Sewers from Yellow to Green
- Updated the Badeline Block Belt randomizer config and fixed a crash on entering the Intermediate Lobby with randomizer
- Moved some OoB entities in Cirque Maderano higher so you can no longer jump into and die to them
- Changed the symbols of the touch switches in Crystal Enigma to me more colourblind friendly
- Adjusted a refill in Mossy Caverns so it doesn't obscure the speedberry
- Corrected the wrong bg tiles being used in the Another Summit section in the Intermediate Heart Side
- Added fg tiles to Water and Ice and Desecration to fix spots where you could stand without dying due to 1.4 changes
- Fixed an issue where dying in the Sizzling Citadel entrance would respawn you in the Dark Side of the Moon entrance
- Corrected a mispelled room name in Abandoned and Ruined
- Moved a bino in Rhythm Realm for default bind players and added a wall in the ending room for clarity
- Removed some stray OoB entities from the Blank Dreams berry room
- Adjusted a spinner in the final Major Malfunction room to make it clearer that you can jump off of a cloud
- Adjusted a respawn trigger at the end of Switchback Station so you can't trigger it and then die
- Adjusted some triggers and resized the room on flag 5 of the Expert Heart Side to help with some minor flashing issues
- Changed the Expert Lobby wipe to match that of all the other lobbies
- Adjusted a bino in room 4 of Heart of the Storm, Fish Hell, and two binos in Blank Dreams, to help default bind players
- Added an invisible barrier to the outro room of Fish Hell so you can no longer hit the switch with theo and then die
- Adjusted a berry collection blocker in the second last Temporal Tower room, allowing somewhat easier collection of the first berry
- Adjusted the camera on berry 2 of Temporal Tower to give better visibility of hazards
- Fixed two softlocks in Theo Hell if the player attempted to go back a room
- Fixed a visual bug with a switch gate and a misaligned spinner in the first berry room of Ultra Difficult
- Fixed the previously broken theme switchers in Ultra Difficult
- Added custom debris textures to the Expert Lobby, Aquatic Underground, and Temporal Tower
- Adjusted a spinner in the Expert Lobby, to make a dashless challenge more fun
- Changed two ice walls in the Expert Lobby to conveyor belts because why is there ice in a lava lobby
- Changed the sprites of a swap block in the Grandmaster Gym, so it blends in better visually
- Visual fixes in the Grandmaster Lobby, specifically with unconnected spinners
- Fixed misaligned decals and incorrectly coloured spinners in the New Grandmaster Heart Side
- Added :snowmadeline: as an emoji so it displays in cookie monsters prologue dialogue
- Changed the backend reference to Natalie's old name to their correct one
- Changed the Prologue banner colours to those of vanilla. to make them more distinctive
- Changed the Prologue heart to white across all graphics
- Changed the fake hearts in Crumbling Castle and TheHeck90 over to actual fake mini hearts from Collab Utils 2
- Fixed two lookout blockers in the Beginner Gym that sometimes prevented using watchtowers properly
- Adjusted the camera in the Intermediate Gym so the fastfalling section is easier to do
- All Gym banner accent colours now match the corresponding difficulty, instead of being pure white
- The Prologue ending cutscene now doesn't stop the file timer (like vanilla levels) and doesn't have a 2-frame delay before stopping the chapter timer
- Various tiny visual touch ups and fixes to decals and fg tiles

== Version 1.5.9

- Changed the colour of all rooms in debug to match the colour of the difficulty as closely as possible
- Corrected pause menu berry order on Ancient Engine, Electrified Resort, City of Tears, Dreamy Bluffs, Crumbling Castle, and Major Malfunction
- Removed Out of Bounds entities in Heavenly, EHS, and OGMHS
- Added a respawn point close to the entrance of BHS, to make it easier to debug to if needed
- Removed the Lookout Blocker in the Beg and Adv lobbies for consistency with other lobbies
- Resized a room in Overgrown City that was excessively large to fix overlapping rooms
- Fixed an Ice Wall in the Lucid Caverns section of AHS that was not attached to the wall
- Added fg tiles to a filler room in Forest of the Ancients to fix a transition
- Added Lily to the Forest of the Ancients credits for Gameplay Polish
- Removed the Ultra Difficult colourgrade from the Gm lobby to match the previous removal from the map
- Changed the NGMHS heart text to Thank You for Playing, for consistency with the other heart poems
- Some other small visual tweaks in the Beg and Gm lobbies

== Version 1.5.8

- Changed Marshalls name in all credits from BeefyUncle to Marshall H
- Corrected the pause menu berry order in Starjump
- Removed the colourgrade from Ultra Difficult, to fix some conflicts with skin mods
- Updated Randomizer config files

== Version 1.5.7

- Removed "waterboost" code that activated in ProXas's intermediate map and in the Intermediate Heart Side, since Isa's Grab Bag already applies "waterboosting"

== Version 1.5.6

- Updated Randomizer config files

== Version 1.5.5

- Updated Randomizer config files
- iamdadbod's Grandmaster Entry: 
  - Corrected the order of the berries on the pause screen
  - Combined some water entities to very slightly improve performance
  - Moved a double dash crystal on screen 1 down a tile, adjusted a spinner to be more lenient, and tweaked some camera
  - Fixed some jumpthrus on the first berry screen
  - The final wallbounce of screen 3 is now more lenient and looks reasonable to execute
  - Changed some spikes in the second berry room to match the rest of the levels
  - Added a skip to room 4
  - Fixed an icewall in the second respawn point and adjusted the lookout blockers on room 5
  - Fixed an issue where berry 3 could be collected on an unbroken crystal block
  - Added collection triggers to the secret introcar
  - Added a respawn point in the middle of the heartroom
- Grandmaster Heart Side: fixed stylegrounds, speed-based music and other things not being restored properly when coming back from old Grandmaster Heart Side
- Added Soloiini to credits

== Version 1.5.4

- Updated Randomizer Config files
- Make "Return to Lobby" in old Grandmaster Heart Side return you to new Grandmaster Heart Side instead of the grandmaster lobby, to prevent losing progress
- At the end of old Grandmaster Heart Side, teleport to the new Grandmaster Heart Side near the entrance instead of at the beginning

It is still possible to start new Grandmaster Heart Side over by using Restart Chapter.

== Version 1.5.3

- Fix player, jellies and other actors getting stuck on upside-down jumpthrus
- Fix Kevins being stuck on sideways jumpthrus when dashing into them
- Fix Madeline automatically ducking when dashing into a sideways jumpthru

== Version 1.5.2

- Technical changes in Upside-Down and Sideways Jumpthrus to avoid conflicts with other mods

== Version 1.5.1

- Changed names of chapter difficulty icons so that Collab Utils sorts the maps by difficulty in the journal

== Version 1.5.0

- Added Randomizer Config files. More information: https://github.com/bigkahuna443/sc2020-randomizer
- NeoKat's Advanced Entry: Camera fixes

== Version 1.4.3

- Camera changes for:
  - DanTKO's Beginner Entry
  - Bissy's Beginner Entry
  - SilverStar's Intermediate Entry
  - Dozing's Advanced Entry
  - iamdadbod's Expert Entry
  - Zerex's Expert Entry
  - CANADIAN's Grandmaster Entry
  - DeathKontrol's Grandmaster Entry
  - iamdadbod's Grandmaster Entry
  - TheDavSmasher's Grandmaster Entry
- Bissy's Beginner Entry: First part of room 4 has been nerfed to be more lenient near the end (2 refills moved down 1 tile, more tiles added at the top to grab and climb with)
- Grandmaster Heart Side:
  - Added a change respawn trigger to the start screen so that if you exit and re-enter your spawn point will be set to the correct location.
  - Added "spawn facing" triggers to the debug midpoints on flags 6 and 5.
  - Fixed camera issues in flag 6, and reduced the sizes of dash blocks to help reduce lag.
  - Small deco changes throughout.
  - Fixed cutscene softlock at the end.

== Version 1.4.2

- Fixed Grandmaster heart color in the poem page of the journal
- Static Puffers now cannot send you straight down when you hit their middle pixel (which cannot happen with vanilla puffers)
- Grandmaster Heart Side:
  - Fixed bug where speedberry didn't collect.
  - Small deco improvements in a few places.
  - Touch switch icons changed to be unique for each group.
  - Flag 4: Small changes in second part to improve consistency.
  - Flag 2: Gameplay adjusted to fix cheese, deco added to end.
  - Flag 1: Added silhouette, improved readability near the end.
  - Ending: Added a missing switch gate.
- Difficulty ratings updated in Grandmaster:
  - Theo Hell: Yellow > Red
  - Fish Hell: Red > Yellow
  - Tripeak Trail: Yellow > Red
  - Temporal Tower: Red > Yellow
  - Crypt of the Kevins: Yellow > Green

== Version 1.4.1

- Museum: Replaced Natalie's old name with their correct one
- Zerex's Expert Entry: Removed random wall of refills causing lag
- Grandmaster Heart Side:
  - Small deco improvements in a few places. Watchtower movement smoothed throughout.
  - Flag 8: Madeline no longer has a backpack. Touch switch moved 1 tile left. Spinners in second half made more lenient.
  - Flag 6: Readability improvements throughout, resulting in minor gameplay changes. Cheese that allowed skipping flag fixed.
  - Flag 5: Watchtower improved.
  - Flag 4: Minor visibility improvement at the beginning.
  - Flag 2: Small deco improvements to increase visibility.
  - End: Added a switch gate

== Version 1.4.0

- Please welcome: the new Grandmaster Heart Side
- Updated the Advanced mountain texture

== Version 1.3.2

- Dialog: Mineman was changed to Minemah, Chloe now properly credited for iamdadbod's Beginner map, Jesse Munguia now properly credited for TheAdvertisement's Intermediate Map, phant now properly credited for Zerex's Expert Map, Music credits for Bob Dole's map now properly explaining the song's origin, Slife, now properly credited in Temple of the Kevins and Crypt of the Kevins
- Museum: TAS is not coming soon anymore, bv and Dylan added to Hall of Fame
- Expert Gym: Fixed teleporters being connected wrong, Fixed demoing into dreamblocks getting you stuck in a wall, Made a watchtower not get stuck in lookout blockers
- Grandmaster Gym: Adjusted Theo barrier, Clarified details in the ultra chain description, renamed "spike jumps" to "spike tech", Fixed various camera, re-added a secret to the core hyper section
- Cookie's Beginner Entry: Made hints less delayed
- DanTKO's Beginner Entry: fixed spikes behind cloud decals in last gameplay room, fixed stylegrounds
- iamdadbod's Beginner Entry: Final gameplay room no longer has misleading "demo gap" in spinners
- itsabrody's Beginner Entry: No longer can die due to speedberry causing dialog while underwater since there is now an air bubble
- aridai's Intermediate Entry: Camera fixed when getting the touch switch in the last room
- Bonicle's Intermediate Entry: Added missing collision to one of the roof tiles, Added filler between third and fourth room
- Hallow's Intermediate Entry: Outro room modified to have camera Y offset of 1 and slight fg tile additions to avoid weird interaction with the dialog cutscene where Madeline is no longer on the screen while dialog happens
- phant's Intermediate Entry: Added grass in filler room so that the grass in the main room doesn't visually cut off abruptly
- Rocketguy2's Intermediate Entry: No longer possible to skip a section by dashing up above it in final gameplay room, Change respawn moved at the end of final gameplay room to be beyond the electricity so you can't cheese the respawn
- SilverStar's Intermediate Entry: Checkpoint should now work in Flag 2 instead of letting you reach the checkpoint even if you died at the last spinner, Various camera changes in Flags 3 and 2
- Skeleton's Intermediate Entry: Camera in the final berry room no longer juts back and forth when going vertically in the rightmost bubble
- Intermediate [REDACTED]: aleph_null's section no longer has spinners attached to the move block, GG19's section is fixed to be a bit nicer with the sandwich lava
- Advanced Lobby: Change respawn trigger now in taco360's section
- _sleepie's Advanced Entry: Should no longer be possible to die when demoing into a bubble in the second room; moved up spinner by 1 pixel to make sure of it
- BeefyUncle's Advanced Entry: Speedberry and silver berry swapped to prevent you from dying when touching speedberry triggers the tutorial, Spinner hitbox in the last gameplay room invisibly killing you when you touch a wall now moved to be inside the wall entirely 
- Ezel's Advanced Entry: Moved lookout blocker in last gameplay room so that watchtower should no longer get stuck, Moved watchtower in first room so you can hyper without opening up the watchtower
- Holly's Advanced Entry: Now properly has "comfy" text removed
- iamdadbod's Advanced Entry: You now spawn facing right in the final room
- LinjKarma's Advanced Entry: Added camera offset at the end of rooms, and allowed for cornercorrection into the breakable block
- NeoKat's Advanced Entry: Moved up respawn trigger so that you have to finish the final room, instead of almost making it, dying, and still respawning at the end
- Rufus's Advanced Entry: Watchtower blocker modified in room 3, now lets you move up a little at the end
- taco360's Advanced Entry: Checkpoint removed at outro room so you can still go back to the berry room, Berries should now be in correct order
- Advanced [REDACTED]: Fixed floating ice wall in Lucid Caverns section, Various accessibility changes, Moved button in Rufus's section 1 tile to the left
- Bissy's Expert Entry: Moved first fish in final gameplay room 1 pixel to the left on the rare scenario that the fish setup didn't work
- CANADIAN's Expert Entry: Coin is now the proper color and shape in the last room
- DeathKontrol's Expert Entry: Added trigger to the end of a-00 to advance music progress if boxes switch was skipped, some small adjustments to spawn points and change respawn triggers, added extra triggers over clutter switches to open clutter doors for extra security.
- deskilln's Expert Entry: Styleground was recolored to better differentiate between obstacle and tile, Watchtower added to room 3 
- iamdadbod's Expert Entry: Fixed the music not restarting after save & quit, and improved camera
- Indecx's Expert Entry: Watchtower in final gameplay room moved 1 tile to the left
- Minemah's Expert Entry: Now properly die when falling down in a hole in the last gameplay room, First gameplay room now has disabled down transition
- Mün's Expert Entry: Added a dark mode which can be toggled by going underneath the starting platform, Added a filler room from room 1 to room 2, Modified the mist speed, Modified the rain effects, Modified the strawberry order, Modified the lightbeam to signal a berry room, Changed the return-berry from B1 to Lunatic's version, Removed a strat in the first room that allowed the player to place a jelly on the ground to pick it up later, Made the first jellyvator easier
- Expert [REDACTED]: Added 1 tile of lightning to make a tile no longer standable, Trigger that changes core mode is now the proper hitbox size of the core switch (meaning the second you touch the core switch's hitbox you are also triggering the trigger), No longer possible to see OOB on flag 1
- CANADIAN's Grandmaster Entry: Respawning in the last room of gameplay will now make you spawn left
- dog's Grandmaster Entry: Fixed jelly machine, fixed silver respawn light fade, made falling blocks in room 3 more visible since some people had difficulty seeing them, Change respawn in gameplay room 4 is extended so your respawn is changed even if you die in the pool
- DeathKontrol's Grandmaster Entry: Fixed a typo in secret code, added a refill to dream hyper in a-03, moved spawn point 1 pixel in a-03b to line up with wall, some small adjustments to camera offset placements.
- Hydro0's Grandmaster Entry: Speedberry collect trigger now encompasses a bigger area in the outro room in case you move so fast that not even 1 frame registers Madeline as inside the box 
- iamdadbod's Grandmaster Entry: Moved coin in second room up by 4 pixels

== Version 1.3.1

- Beginner Gym: added bunnyhop tutorial
- Cruor's Beginner Entry: Made bottom part fake heart cutscene trigger a bit smaller (still lets you skip earlier than intended, but now you have to at least get to the heart)
- Expert Gym: added hyper bunnyhop tutorial
- Expert [REDACTED]: can no longer fall through CANADIAN's section in flag 1 by badly mistiming your jump to the cassette starter; first tempo trigger moved down so weird cassette jank doesn't cause it to trigger early and cause a longer wait on cassette starter; remove pointless floating cassette out-of-bounds; adjust lua cutscene loading position in luke's section since first time hitting it can cause a lag spike and makes golden painful; removed 1 fgtile in flag 5 which was incorrectly placed; music progression at flag 5 should be fixed if someone saves and quits.
- CANADIAN's Grandmaster Entry: replaced decorative sideways jumpthrough with actual decoration (decal)
- 1nkfa1c0n's Grandmaster Entry: Added a watchtower to room 1
- Cyber's Grandmaster Entry: Moved a couple spinners in room 3 to make it feel better and slightly more lenient; Moved the spike wall in room 3 so it is harder to dash while inside of it, killing you in a dumb way
- Fishtank's Grandmaster Entry: placed invisible barrier to prevent backtracking to rooms where not intended, one of which causes a crash
- Grandmaster [REDACTED]: various changes in DeathKontrol's section
- Pandora's Box dependency updated to 1.0.27 (QoL improvements on player clones / JaThePlayer Advanced) 
- Extended Variant Mode dependency updated to 0.16.4 (ships with a memory leak mitigation mechanism)

Speed Berry times updated: 
Bissy's Advanced Entry
 - Bronze: 1:05 -> 1:06
 - Silver: 0:50 -> 0:51
 - Gold: 0:36 -> 0:37
iamdadbod's Advanced Entry
 - Bronze: 2:30 -> 2:37
 - Silver: 2:05 -> 2:12
 - Gold: 1:20 -> 1:27
Bissy's Expert Entry
 - Bronze: 1:18 -> 1:25
 - Silver: 1:08 -> 1:10
Mineman's Expert Entry
 - Bronze: 2:30 -> 2:31
 - Silver: 2:10 -> 2:11
 - Gold: 1:55 -> 1:56
1nkFa1c0n's Grandmaster Entry
 - Bronze: 2:05 -> 3:25
 - Silver: 1:55 -> 3:00
 - Gold: 1:35 -> 2:35

== Version 1.3.0

- The statue is muttering in dits and dahs
- Dialog: Spoopy is now SpoopySoup in credits, DanTKO is now credited for light/dark theme, Fixed mistake where Zerex's credits weren't showing, GMHS credits now include mappers who made their own parts
- DanTKO's Beginner Entry: Slightly moved 2 decals to make spikes a bit more visible
- iamdadbod's Beginner Entry: Fixed awkward interaction with kevin in room 2 where kevin could get stuck, Camera trigger when talking to The Great Kevin is now fixed to properly be on their face
- Beginner [REDACTED]: Camera in Abby's section tweaked
- Intermediate Lobby: Should fix darkness from dying / save and quitting in heartdoors and respawning outside to have a "dark theme" of the lobby
- Bissy's Intermediate Entry: Fixed respawn so that dying doesn't make you be underwater for a split second before it switches in revisiting room 2
- Oppen_heimer's Intermediate Entry: Golden respawn and berries moved to a higher platform, Signs now have indicator offset y of 1
- ProXas's Intermediate Entry: Fixed 2 softlock possibilities in room 2 and 1 in room 3, Berries are now shown in the right order in pause menu
- Rocketguy2's Intermediate Entry: Decal added from Factory Helper, Button should be more visible
- Advanced Gym: Moved up the jumpthroughs in the neutral drop section by 1 to make it more understandable as what to do
- iamdadbod's Advanced Entry: Fixed camera in intro and room 5
- Galaksyz's Advanced Entry: Respawn in room 1 less lenient
- Rufus's Advanced Entry: removed outro downwind, and added invisible seeker barriers where needed
- CANADIAN's Expert Entry: Disable grabbing at room start since it throws off timing, added a single spike to top of a switch gate so people can't accidentally climb into lightning because base game doesn't really have this situation, shorten tempo cassete triggers at start of screens to make restarting more feasible, remove 6/7 24 pixel ultras with 27 pixels
- dahlukeh's Expert Entry: Room 5's watch tower should now be somewhat usable without instantly killing you, Prevents you from entering rooms with exit blocks that try to block you from going back to previous rooms with invisible barriers now
- iamdadbod's Expert Entry: lowered the first spinner out of the dream hyper by 3 pixels in room 3 to make the dream hyper more fair
- Indecx's Expert Entry: A hyper in a room is more lenient
- Kube's Expert Entry: Added jelly barrier in final room
- RadleyMcTuneston's Expert Entry: Fixed some awkward camera
- Expert [REDACTED]: [flag 1] replace puffers with static puffers, put correct bgtile colour at the tempo switch, shrink tempo switch vertically which makes it a little bit easier to squeeze in above tempo switch and makes it easier; [flag 2] increase offset a tiny bit in top left of dadbod section so it's even easier to see switch gate you're dropping to; [flag 4] Fixed visual girders using wrong tileset in ChaotiC's section, Top right spikes moved a bit more to the right to stop dying on ceiling in transition from ChaotiC to Bissy's section, Torches clarified a bit more to show a wavedash in Bissy's section; Fixed appearance for spikes on Zerex's section using dream spikes on non-dream blocks
- Grandmaster Lobby: Added killbox to prevent assist mode from skipping the heart gate, Camera from Bissy's part to iamdadbod's should be better
- CANADIAN's Grandmaster Entry: [room 1] move jumpthroughs for yellow portal consistency, move spinners on ceiling at end for safety, more kill boxes ascending, cheese spot removed; [room 2] replace trigger spikes with invisible barrier to prevent neutralling, seeker barrier shrunk; [berry room 1] remove lightning flashing, [berry room 3] remove flashing of lightning, tweak camera, make end kinder (change respawn, nicer teleporter setup), move jump throughs for yellow portal; prevent softlock transition from berry room 2 to room 3, room 1; Nice View is now nicer and has a spawn point
- iamdadbod's Grandmaster Entry: close gap in room 4 which makes crystal bomb get stuck, made breakable blocks in room 5 not persistent
- Problemstrol's Grandmaster Entry: Various changes throughout all rooms
- Mod structure: Removed decals from Path of Hope that are unused

Speed Berry times updated:

- Singularity (Beginner)
Bronze 45 -> 47
Silver 35 -> 36
Giving a couple seconds for silver and bronze because these times can be a little tight 
- Starjump (Beginner)
Silver 1:06 -> 1:10
Bronze 1:14 -> 1:25
This map is very movement heavy, so those newer to speedrunning may not be able to combine these movement techniques to put together a good run. 
- Seeker Temple (Beginner)
Silver 1:00 -> 1:01
Bronze 1:10 -> 1:12
Giving a couple seconds for silver and bronze because these times can be a little tight 
- Mobius Temple (Intermediate)
Silver 2:30 -> 2:35
Bronze 2:52 -> 3:00
Turns out, space gravity makes this map extremely slow to run. Giving more leniency for silver and bronze
- Lucid Caverns (Advanced) 
Gold 50 -> 52
Silver 1:10 -> 1:11
This gold time was way too tight. Giving and extra second for lining up pause buffered demos (if you so choose to use them) and likewise for the silver time.
- Crumbling Castle (Advanced)
Gold 3:14 -> 3:24
Silver 3:54 -> 4:04
Bronze 4:30 -> 4:40
Added 10 seconds to every time because this map is pain to run and jumping is slow
- Mural Skies (Advanced)
Gold 1:08 -> 1:12
Silver 1:25 -> 1:40
Bronze 1:50 -> 2:20
This map is one of the most difficult to route and execute. Giving 4 seconds for the gold time makes this time more about the routing than having perfect execution. Likewise for silver and bronze.
- Crimson Night (Advanced)
Gold 1:18 -> 1:19
Silver 1:32 -> 1:33
Bronze 1:54 -> 1:55
Adding a second to each time because of the discrepancy between timing methods for when this berry was timed and when speedberries were created.
- Ultra Sandwich (Expert)
Gold 57 -> 59
Silver 1:05 -> 1:07
Bronze 1:20 -> 1:25
As an expert map, this should have a little more leniency
- Tripeak Trail (Grandmaster)
Gold 2:15 -> 1:45
Silver 3:00 -> 2:30
Bronze 4:15 -> 3:45
This map was never properly timed and we gave very rough estimations. Beating this map deathless is still 30 seconds faster than gold time, so most that already got the gold time should not have their achievements changed.

== Version 1.2.1

- Dialog: fix spelling of fishmcmuffins in credits
- CANADIAN's Grandmaster Entry: replace killbox camera with two target triggers, nerf end of room 4 (cloud room), remove decorative spinners that could actually kill you, adjust seeker barrier in top right of room 5 and replace fg tiles there  with exit block for more precision and consistency
- Code mod: reset session flags when chapter timer is reset due to dying in the first room. That will reset levers for example

== Version 1.2.0

- The statue has awoken
- Dialog: changed case in "Booster in Orbit" map name, Benjamanian's credits updated on request
- Prologue: make the speedrun timer stop at the beginning of the ending cutscene, and make autosplitter work with it
- Beginner Gym: Camera for fast bubbling slightly changed
- Abby's Beginner Entry: Added a spinner in room 4 to remove a spot you can rest
- Bissy's Beginner Entry: Death wipe is now mountain
- Cookie's Beginner Entry: Changed deathwipe animation to DoorKey 
- Cruor's Beginner Entry: Moved killbox in bottom path up by 2 to prevent an unfair death
- CANADIAN's Beginner Entry: Death wipe is now mountain
- DanTKO's Beginner Entry: Removed change respawn trigger at intro room, Added light/dark theme
- Flagpole1up's Beginner Entry: Expanded the Intro room to fix forced waiting for Speed Berries, Moved Speed and Silver Berry to new location, added golden berry player respawn point
- IsaGoodFriend's Beginner Entry: Moved around some tiles and added/removed girder tiles with core tiles to better represent where to climb, Death wipe is now heart
- Lichtbaulb's Beginner Entry: Death wipe is now starfield, Respawns in rooms 2 and 5 moved closer to gameplay
- Rue's Beginner Entry: fixed softlock
- Thegur90's Beginner Entry: Death wipe is now wind, Added filler rooms
- Beginner [REDACTED]: Intro Room has now taken large part of room 1 to make goldens and speedberries less painful to run, Death wipe is now heart
- Intermediate Lobby: Removed camera triggers when on the hills of the trees
- aridai's Intermediate Entry: Fixed a camera that wasn't extending across a berry, Fixed a weird interaction where lightning became 1x1 squares upon leaving the intro room
- Bissy's Intermediate Entry: Death wipe is now curtains
- Chloe's Intermediate Entry: Now has golden respawn
- Donker19's Intermediate Entry: Death wipe is now heart
- GG19's Intermediate Entry: Moved a decal a few tiles to the right to help distinguish between it and the core block, Fade death wipe is now heart, Music fade is now on respawn making the music not reset every time you die in the last gameplay room
- iamdadbod's Intermediate Entry: difficulty changed from red to yellow
- Noax's Intermediate Entry: Death wipe is now curtains
- Oppen_heimer's Intermediate Entry: Added missing filler, Death wipe is now curtains
- ProXas's Intermediate Entry: Proper berry order 
- SilverStar's Intermediate Entry: new +1 Refill sprites (more easily distinguishable from vanilla refills)
- Thegur90's Intermediate Entry: Death wipe is now fall
- Intermediate [REDACTED]: Death wipe is now heart, replaced the sprite of the one +1 refill in SilverStar's section to match those from their map
- Advanced Lobby: Adding a respawn point trigger behind the heartgate to reset light fade, Made the spacejam in Mural skies's entrance bigger
- Bissy's Advanced Entry: Death wipe is now starfield
- Cookie's Advanced Entry: minor changes in dialog, Changed deathwipe to dream, added a respawn at the end of the secret room
- Dozing's Advanced Entry: difficulty changed from yellow to green
- Ezel's Advanced Entry: Death wipe is now starfield
- Holly's Advanced Entry: Removed dialog entry asked to be removed by Holly herself
- JaThePlayer's Advanced Entry: Death wipe is now heart
- Linj's Advanced Entry: difficulty changed from yellow to red
- Rufus's Advanced Entry: difficulty changed from yellow to green
- taco360's Advanced Entry: Death wipe is now wind, Music trigger added on golden respawn
- Thegur90's Advanced Entry: difficulty changed from green to yellow
- Tortoise's Advanced Entry: Death wipe is now drop, Space jam in boss room extended to the left by 1
- Advanced [REDACTED]: Toxic sludge in Rufus's map is now visible with watch tower, Death wipe is now heart, Moved up a killbox in room 4 by 2 tiles
- Expert Gym: Removed refill from dream hyper, Added more fg tiles to cornerboost gauntlet to prevent from seeing OOB
- Expert Lobby: Adds a camera trigger to prevent seeing OOB in Bissy's Entry, Mineman's and LethargicDoggo's entrances fixed
- Bissy's Expert Entry: Moved final fish 3 pixels to the right, Death wipe is now wind, difficulty changed from green to yellow
- CANADIAN's Expert Entry: adjusted fish on 4th gameplay screen to be static and shifted some springs adjustingly to make that piece feel more fair, fixed camera, Death wipe is now starfield
- deskilln's Expert Entry: Berries are now in correct order, Death wipe is now heart
- Kube's Expert Entry: shortened a crumble block, and moved a spinner by a few pixels
- Mineman's Expert Entry: Death wipe is now mountain
- RadleyMcTuneston's Expert Entry: difficulty changed from yellow to green
- Expert [REDACTED]: adjusted beginning of New Jank City to make double back boost ultra less enticing, Death wipe is now heart, Change to a zip mover spike in ChaotiC's section so that neutral is no longer required, Touch switches added to Bissy's section to make it more sightreadable on what to do, Added spikes to remove safe spot in Zerex's section
- Grandmaster Gym: Fixed jank interaction where you don't get your dash back from spike jump section, Added "wall boosts" tutorial
- Grandmaster Lobby: Music layer is now just 1
- 1nkFa1c0n's Grandmaster Entry: difficulty changed from yellow to red
- Bissy's Grandmaster Entry: Death wipe is now curtain
- Bob Dole's Grandmaster Entry: added backboost jelly ultra decal, fixed misplaced ghost playback tutorials
- Bissy's Grandmaster Entry: Fixed various cameras across all rooms, Changed refills in room 3's first checkpoint to better reflect how to play the room, Fixed Kevin in room 5 inconsistently hitting a lower ceiling causing it to be impossible
- CANADIAN's Grandmaster Entry: shifted yellow portal at top of room 3 down a tiny bit so jumping too late in ultra chain isn't fatal, use different seed on a lightning strike in berry room 2, fixes watchtower issues, fix attributes of constant lightning trigger in Nice View, adjusted a couple cloud decals for visibility, removed camera trigger and made up for it w/ increased catchup speed camera trigger, difficulty changed from red to cracked
- DeathKontrol's Grandmaster Entry: One fg tile under lower kevin on 2nd screen removed because it was potentially getting in the way of bonking kevin, Dialog trigger under winged berry moved up 1 tile so it triggers when you land on the platform instead of under, a couple camera triggers resized (offsets not affected)
- iamdadbod's Grandmaster Entry: Berry order is correct now, raised tileset to prevent crystal bonk through intended path in room 3 and 5
- Problemstrol's Grandmaster Entry: Death wipe is now starfield
- Thegur90's Grandmaster Entry: difficulty changed from red to yellow
- Grandmaster [REDACTED]: remove cheese from CANADIAN section by climbing fg tiles to left with cloud kicks
- Code mod: Slight change in Flag Touch Switches to accommodate better with the randomizer

== Version 1.1.1

- Goat's Intermediate Entry: minor fix in dialog
- Rocketguy2's Intermediate Entry: Fixed from being impossible
- Advanced Lobby: fixed some respawns points and styleground issues related to Linj's map, and put the [REDACTED] speechbubble higher than the gate to make it consistent with other [REDACTED] gates
- DeathKontrol's Expert Entry: Added triggers needed on golden respawn
- Speed Berry times updated in Beginner: Bissy, IsaGoodFriend, Skeleton, itsabrody 

== Version 1.1.0

- Dialogue: Fixed mispelled names and various minor fixes to credits
- Prologue: Removed debug prints in Lua cutscene, Added arrow sign pointing to Museum, Fixed jump through visual
- Lobbies: Added map images that will be shown in the journal
- Beginner Lobby: Made a decal not float
- CANADIAN's Beginner Entry: Various camera tweaks in the last room
- Cruor's Beginner Entry: Fixed glitch and anxiety effects after teleporting, Cutscene for fake heart is now skippable until the bubble fly starts (That means a 0.4 second window to skip cutscene after getting heart)
- DanTKO's Beginner Entry: All spikes replaced with Outline to help visibility, FG Cloud Decals added where there should've been, Respawn timer for jellyfish in intro room changed from 3 to 1 seconds
- Flagpole1up's Beginner Entry: fixed berries not showing up properly in pause menu berry tracker
- hennyburgr's Beginner Map: fixed berries not showing up properly in pause menu berry tracker
- iamdadbod's Beginner Entry: Fixed soft lock
- IsaGoodFriend's Beginner Entry: Fixed berry order in pause menu
- itsabrody's Beginner Entry: Fixed berry order in pause menu
- Lichtbaulb's Beginner Entry: Spinners in room 1 are no longer attached, Berry order fixed
- Snas's Beginner Entry: Cheese prevented in final berry room
- Skeleton's Beginner Entry: Fixed a respawn in last room that was too lenient
- Beginner [REDACTED]: Moved Summit Flags down in Room 5, Moved Watchtower Nodes in Room 5 up slightly to help visibility, Removed unnecessary invisible barrier that could potentially change gameplay
- aleph_null's Intermediate Entry: Mountains in stylegrounds are no longer floating
- Bissy's Intermediate Entry: Fixed cheese that allows you to skip entire map by retrying
- Bonicle's Intermediate Entry: Various camera fixes throughout the map, Entrance to berry room now no longer hidden (has lightning gating its entry), Now impossible to backtrack to previous rooms, Darkness alpha reduced by 0.05, Moved some crystal spinners to prevent you from dying when dashing into feather
- Donker19's Intermediate Entry: Water in room 5 extended up by 1 to prevent weird double refill interactions
- Hallow's Intermediate Entry: Now impossible to backtrack to previous rooms
- iamdadbod's Intermediate Entry: Berry order is fixed in berry counter
- Oppen_heimer's Intermediate Entry: Prevents soft lock in constant dashing room, One room doesn't block other another room's crate now with a switch gate
- ProXas's Intermediate Entry: fixed intro room respawn trigger, added a spike in intro room, added a small ice block in room 3 so that the lantern doesn't look like it's floating when lava is gone
- Rocketguy2's Intermediate Entry: Can no longer skip majority of room 4
- TheAdvertisement's Intermediate Entry: Respawn properly respawns you in third room's entrance to berry
- Skeleton's Intermediate Entry: Made a jumpthrough 1 less wide, Made it easier to wavedash at start of room 5
- Intermediate [REDACTED]: Moved and changed a variety of Summit Flags, Changed aleph_null's spinners from Purple to Blue, Changed Light Fade Trigger in Bonicle's entry slightly so that entering it makes you at the leftmost part, not in the left-middle, Removed a trigger that removes golden / speedberry that was originally added for no reason whatsoever, Watch tower nodes in room 4 are better to show the switches in aridai's part, Visual bug with wiring in Rocketguy2's part fixed, Visually changed one of the space jams in Noax's section to better identify with his other space jams
- Advanced Gym: Respawn facing right in mid-air supers now
- Ezel's Advanced Entry: Visual bug with spikes on cassette blocks fixed in second berry room
- Holly's Advanced Entry: Unnecessary music trigger removed
- _sleepie's Advanced Entry: No longer prevents you from dashing in one of the red bubbles
- Thegur90's Advanced Entry: Moved a respawn, speedberry and silver berry in intro room
- Advanced [REDACTED]: Added some walls behind some Summit Flags to make them not float, Moved a variety or deleted some Invisible Barriers that were unnecessary, Added Wind Change Trigger Indicators
- CANADIAN's Expert Entry: Lined up hazard cassette blocks correctly with a swap block
- DeathKontrol's Expert Entry: Now marked as hard under difficulty meter
- Expert [REDACTED]: Added some walls behind Summit Flags so they didn't float, Mün changes for end of his section so switch gates don't kill you, Various changes to DeathKontrol's part
- Grandmaster Lobby: You face right now in a respawn
- Bob Dole's Grandmaster Entry: Various changes made throughout map
- Thegur90's Grandmaster Entry: Fixed the filler room that broke room 4
- dog's Grandmaster Entry: Respawn fixed so you can't death warp in room 4, Touch gates don't exist only in transition in room 4b anymore
- Grandmaster [REDACTED]: Added some walls behind Summit Flags so they didn't float, Fixed speed-based music
- Speed Berry times updated in Beginner: Bissy, Cookie, Flagpole1up, IsaGoodFriend, itsabrody, Skeleton, Thegur90
- Speed Berry times updated in Intermediate: Bissy, Donker19, Goat, TheAdvertisement
- Speed Berry times updated in Grandmaster: Bob Dole
- Mod Structure: Moved all tileset, sprite and portrait XMLs to a subfolder to prevent conflicts
- Code mod: Fixed crash when player dies while sideways lava is waiting for the player to move (happens on GG19's map by using Restart Speed Berry), removed some logs to unclutter log.txt, fixed bug allowing you to clip through upside-down jumpthrus by unducking
- Maps with selectable themes (Linj, NeoKat, RealVet, Zerex, Bob Dole) now save the chosen theme
- Now depends on Pandora's Box 1.0.25+

More details on Speed Berry times updates:
Desolate Spire gold 1:00 -> 54, silver 1:10 -> 1:12, bronze 1:20 -> 1:26
- It was well known before release that this map could get a sub-52 with decent routing. We forgot to change this speed time before 1.0. Silver and bronze times were made more lenient because jump movement is unsurprisingly slow.
Crystal Enigma gold 1:35 -> 1:30
- We were worried on release that routing this map would prove to be more of a challenge than it ended up being.
Blast Processing gold 1:00 -> 1:01
- A bit of a nerf, because this was much tighter than we intended
Chillout Mountain gold 1:23 -> 1:28
- Just a boring speedrun, no point making it extremely hard
Flooded Waterways gold 45 -> 22
- We initially intended for this gold to just require finding the skip, but it makes getting gold way too trivial even for inexperienced speedrunners.
Spirit Spire gold 1:08 -> 52
- 1:08 was an incredibly unoptimized time (that we didn't double check on release). We may nerf this new time should it prove to be too hard. 
Temple of Zoom gold 1:09 -> 1:18
- Our master spreadsheet of times had the wrong time written down here, so it was thought to be correct. On closer inspection, this gold is way too optimized for the map, and we've fixed it.
